List Domains
curl --request GET \
--url https://api.dugble.com/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dugble.com/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dugble.com/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"provider_account": "<string>",
"region": "us-east-1",
"provider_external_id": "<string>",
"status": "not_started",
"provider_status": "<string>",
"records": [
{
"record": "DKIM",
"name": "<string>",
"value": "<string>",
"type": "TXT",
"status": "pending",
"ttl": "<string>",
"priority": 123
}
],
"tls": "opportunistic",
"failure_reason": "<string>",
"health_status": "unknown",
"consecutive_health_failures": 123,
"last_checked_at": "2023-11-07T05:31:56Z",
"last_health_checked_at": "2023-11-07T05:31:56Z",
"last_health_failure_at": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"success": false,
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Domains
List Domains
Returns sending domains configured for the authenticated team.
GET
/
domains
List Domains
Authorizations
Pass a Dugble team token in the Authorization header as Bearer . Team token secrets use the dgb_team_ prefix.
Query Parameters
Maximum number of sender domains to return. Omitted, non-positive, or values above 100 use the default 50. Malformed integers return 400.
Number of sender domains to skip. Omitted or negative values use 0. Malformed integers return 400.